<?php

namespace Drupal\regcode_simple\Tests;

use Drupal\Tests\BrowserTestBase;

/**
 * Make sure help page text populates and is readable only with proper perms.
 *
 * @group regcode_simple
 */
class RegcodeSimpleHelpPageTest extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  public static $modules = ['regcode_simple', 'help'];

  /**
   * Make sure admin can read help text.
   */
  public function testAdminUserCanReadHelp() {

    // Create a user and login.
    $account = $this->drupalCreateUser(['access administration pages']);
    $this->drupalLogin($account);

    // Verify Role Expose is listed in help pages.
    $this->drupalGet('admin/help');
    $this->assertSession()->statusCodeEquals(200);
    $this->assertSession()->pageTextContains('Registration code (simple)');
    $this->assertLink('Registration code (simple)', 0, 'Check Help page has module name as link.', 'Regcode Simple');
        // Verify Role Expose page has correct content.
    $this->clickLink('Registration code (simple)');
    $this->assertSession()->pageTextContains('Registration code (simple)');
    $this->assertSession()->pageTextContains('For the password validation (and complexity) logic these options are available:');
  }

}
